﻿/*
	Copyright (C) 2013 腾袭 (tengattack)
*/

function _string_trim(str) {  
	// 用正则表达式将前后空格  
	// 用空字符串替代。  
	return str.replace(/(^\s*)|(\s*$)/g, "");  
}

function _parseJSON(data) {
	if ( typeof data !== "string" || !data ) {
		return null;
	}

	// Make sure leading/trailing whitespace is removed
	data = _string_trim(data);

	try {
		var obj = JSON.parse(data); 
		return obj;
	} catch(err) {
		return null;
	}

	return null;
}

function CookieCheck(cookie) {
	var change_ = false;
	var t_cookie_ = "";
	
	var ts = cookie.split(';');
	for (var i = 0; i < ts.length; i++) {
		var arr = _string_trim(ts[i]).split("="); //将名和值分开
		
		if (arr) {
			if (arr[0] == 'BDUSS') {
				var isplit = arr[1].indexOf('|');
				if (isplit !== -1) {
					change_ = true;
					arr[1] = arr[1].substr(0, isplit);
				} else {
					break;
				}
			}
			
			t_cookie_ += arr[0];
			t_cookie_ += '=';
			t_cookie_ += arr[1];
			t_cookie_ += '; ';
		}
	}
	
	if (change_) {
		return t_cookie_;
	} else {
		return cookie;
	}
}

function GetTiebaForumId(html) {

	var tFidcheck = html.match(/fid:\'(.*?)\'/); //html.match(/\"forum_id\":\'([0-9]+?)\'/);
	if (tFidcheck) {
		return tFidcheck[1];
	}

	return false;
}